## dms 1.0.2

=== Makefile ===
#!/usr/bin/env make
#
# Copyright (c) Net24 Limited, Christchurch, New Zealand 2011-2012
#       and     Voyager Internet Ltd, New Zealand, 2012-2013
#
#    This file is part of py-magcode-core.
#
#    Py-magcode-core is free software: you can redistribute it and/or modify
#    it under the terms of the GNU  General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Py-magcode-core is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU  General Public License for more details.
#
#    You should have received a copy of the GNU  General Public License
#    along with py-magcode-core.  If not, see <http://www.gnu.org/licenses/>.
#
DESTDIR =

#
# Installation Makefile for DMS
#
# This is rough! FIXME!

OSNAME := $(shell uname -s)
ETCDIR := /etc
DAEMONUSER := dmsdmd
DAEMONGROUP := dmsdmd
DMSGROUP := dms
CONFSUBDIRS :=  master-config-templates config-templates server-config-templates \
	server-admin-config
CONFFILES = dms.conf rsync-dnsconf-password rsync-dnssec-password pgpassfile \
	    dr-settings.sh
CONFBINDFILES = named.conf named.conf.options named.conf.local named-dr-replica.conf
MASTERINCFILES = server-acl.conf zones.conf
WSGISCRIPTS = admin_dms.wsgi helpdesk_dms.wsgi value_reseller_dms.wsgi \
	      hosted_dms.wsgi
LISTZONEWSGISCRIPTS = list_zone.wsgi
ifeq ($(OSNAME), Linux)
	PREFIX=/usr/local
	CONFDIR=$(DESTDIR)$(ETCDIR)/dms
	CONFBINDDIR=$(DESTDIR)$(ETCDIR)/dms/bind
	SYSCTLDIR=$(DESTDIR)$(ETCDIR)/sysctl.d
	NAMEDDATADIR=$(DESTDIR)/var/lib/bind
	NAMEDDYNAMICDIR=$(DESTDIR)/var/lib/bind/dynamic
	NAMEDKEYDIR=$(DESTDIR)/var/lib/bind/keys
	NAMEDSLAVEDIR=$(DESTDIR)/var/cache/bind/slave
	NAMEDSLAVELNDATA=../../cache/bind/slave
	NAMEDSLAVELN=$(DESTDIR)/var/lib/bind/slave
	NAMEDMASTERLNDATA=/etc/bind/master
	NAMEDMASTERLN=$(DESTDIR)/var/lib/bind/master
	NAMEDMASTERDIR=$(DESTDIR)$(ETCDIR)/bind/master
	VARCONFDIR=$(DESTDIR)/var/lib/dms
	NAMEDCONFDIR=$(DESTDIR)$(VARCONFDIR)/master-config
	NAMEDSERVERCONFDIR=$(DESTDIR)$(VARCONFDIR)/rsync-config
	RNDCCONFDIR=$(DESTDIR)$(VARCONFDIR)/rndc
	LOGDIR=$(DESTDIR)/var/log/dms
	RUNDIR=$(DESTDIR)/run/dms
	BACKUPDIR=$(DESTDIR)/var/backups
	PYTHON_INTERPRETER ?= /usr/bin/python3
	PYTHON_SETUP_OPTS = --install-layout=deb
	PGUSER=postgres
	PGGROUP=postgres
else ifeq ($(OSNAME), FreeBSD)
	PREFIX = /usr/local
	CONFDIR = $(DESTDIR)$(PREFIX)$(ETCDIR)/dms
	CONFBINDDIR=$(DESTDIR)$(PREFIX)$(ETCDIR)/dms/bind
	NAMEDCONFDIR=$(DESTDIR)$(ETCDIR)/namedb/master-config
	NAMEDSERVERCONFDIR=$(DESTDIR)$(ETCDIR)/namedb/rsync-config
	RNDCCONFDIR=$(DESTDIR)$(ETCDIR)/nameddb
	NAMEDDYNAMICDIR=$(DESTDIR)$(ETCDIR)/namedb/dynamic
	NAMEDKEYDIR=$(DESTDIR)$(ETCDIR)/namedb/keys
	VARCONFDIR = $(DESTDIR)/var/lib/dms
	LOGDIR = $(DESTDIR)/var/log/dms
	RUNDIR = $(DESTDIR)/var/run/dms
	PYTHON_INTERPRETER ?= $(PREFIX)/bin/python3.4
	PYTHON_SETUP_OPTS =
	PGUSER=pgsql
	PGGROUP=pgsql
else
	PREFIX = /usr/local
	CONFDIR = $(DESTDIR)$(PREFIX)/dms$(ETCDIR)
	CONFBINDDIR=$(DESTDIR)$(PREFIX)/dms$(ETCDIR)/bind
	NAMEDCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/master-config
	NAMEDSERVERCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/rsync-config
	RNDCCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)
	NAMEDDYNAMICDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/dynamic
	NAMEDKEYDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/keys
	VARCONFDIR = $(DESTDIR)$(PREFIX)/dms/var
	LOGDIR = $(DESTDIR)$(PREFIX)/dms/log
	RUNDIR = $(DESTDIR)$(PREFIX)/dms/var
	PYTHON_INTERPRETER ?= $(PREFIX)/bin/python3.4
	PYTHON_SETUP_OPTS =
	PGUSER=pgsql
	PGGROUP=pgsql
endif
SHAREDIR = $(DESTDIR)$(PREFIX)/share/dms
BINDIR = $(DESTDIR)$(PREFIX)/bin
SBINDIR = $(DESTDIR)$(PREFIX)/sbin
MANDIR = $(DESTDIR)$(PREFIX)/man
INSTALL = /usr/bin/install

.PHONY: install install-dir install-conf install-python install-bin \
	install-wsgi clean clean-python build-python

all: build-python

install: install-conf install-bin install-wsgi

install-dir:
	- $(INSTALL) -d $(BINDIR)
	- $(INSTALL) -d $(SBINDIR)
	- $(INSTALL) -d $(MANDIR)
	- $(INSTALL) -d $(CONFDIR)
	- $(INSTALL) -d $(CONFBINDDIR)
	- $(INSTALL) -d $(NAMEDCONFDIR)
	- $(INSTALL) -d $(NAMEDSERVERCONFDIR)
	- $(INSTALL) -d $(NAMEDDYNAMICDIR)
	- $(INSTALL) -d $(NAMEDKEYDIR)
	- $(INSTALL) -d $(RNDCCONFDIR)
	- $(INSTALL) -d $(VARCONFDIR)/dms-sg
	- $(INSTALL) -d $(LOGDIR)
	- $(INSTALL) -d $(RUNDIR)
	- $(INSTALL) -d $(SHAREDIR)
	- $(INSTALL) -d $(SHAREDIR)/dr_scripts
	- $(INSTALL) -d $(SHAREDIR)/setup_scripts
	- $(INSTALL) -d $(SHAREDIR)/postgresql
	- $(INSTALL) -d $(VARCONFDIR)/postgresql
ifeq ($(OSNAME), Linux)
	- $(INSTALL) -d $(SYSCTLDIR)
	- $(INSTALL) -d $(BACKUPDIR)
endif
ifndef DMS_DEB_BUILD
	chown root:bind $(CONFBINDDIR)
	chmod 2755 $(CONFBINDDIR)
	chown $(DAEMONUSER):bind $(NAMEDCONFDIR)
	chmod 2755 $(NAMEDCONFDIR)
	chown bind:bind $(NAMEDSERVERCONFDIR)
	chmod 755 $(NAMEDSERVERCONFDIR)
	chown bind:$(DAEMONGROUP) $(NAMEDDYNAMICDIR)
	chmod 2775 $(NAMEDDYNAMICDIR)
	chown bind:$(DAEMONGROUP) $(NAMEDKEYDIR)
	chmod 2775 $(NAMEDKEYDIR)
	chown $(DAEMONUSER):$(DAEMONGROUP) $(VARCONFDIR)/dms-sg
	chown $(DAEMONUSER):$(DAEMONGROUP) $(LOGDIR)
	chown $(DAEMONUSER):$(DAEMONGROUP) $(RUNDIR)
endif
ifeq ($(OSNAME), Linux)
	- $(INSTALL) -d $(NAMEDMASTERDIR)
	- $(INSTALL) -d $(NAMEDSLAVEDIR)
ifndef DMS_DEB_BUILD
	chown root:bind $(NAMEDSLAVEDIR)
	chmod 775 $(NAMEDSLAVEDIR)
endif
	- ln -snf $(NAMEDSLAVELNDATA) $(NAMEDSLAVELN)
	- ln -snf $(NAMEDMASTERLNDATA) $(NAMEDMASTERLN)
endif

install-conf: install-dir
	for f in $(CONFFILES); do \
		if [ ! -f $(CONFDIR)/$${f}.sample ]; then \
			$(INSTALL) -m 644 \
				etc/$${f}.sample $(CONFDIR)/$${f}.sample; \
		fi; \
		if [ ! -f $(CONFDIR)/$$f ]; then \
			$(INSTALL) -m 644 \
				etc/$${f}.sample $(CONFDIR)/$$f; \
		fi; \
	done
ifndef DMS_DEB_BUILD
	for f in $(CONFFILES); do \
		chmod 640 $(CONFDIR)/$$f; \
	done
	chown root:$(DMSGROUP) $(CONFDIR)/dms.conf
	chmod 640 $(CONFDIR)/dms.conf
	chown root:$(DAEMONGROUP) $(CONFDIR)/rsync-dnsconf-password
	chmod 640 $(CONFDIR)/rsync-dnsconf-password
	chown root:$(DAEMONGROUP) $(CONFDIR)/rsync-dnssec-password
	chmod 640 $(CONFDIR)/rsync-dnssec-password
	chown $(PGUSER):$(PGGROUP) $(CONFDIR)/pgpassfile
	chmod 600 $(CONFDIR)/pgpassfile
	chmod 644 $(CONFDIR)/dr-settings.sh
endif
	for d in $(CONFSUBDIRS); do \
		if [ ! -e $(CONFDIR)/$$d ]; then \
			cp -R etc/$${d} $(CONFDIR); \
		fi; \
	done
	for f in $(MASTERINCFILES); do \
		touch $(NAMEDCONFDIR)/$$f; \
	done
	for f in $(CONFBINDFILES); do \
		$(INSTALL) -m 644 etc/debian/bind/$${f} $(CONFBINDDIR); \
	done
ifndef DMS_DEB_BUILD
	for f in $(MASTERINCFILES); do \
		chown $(DAEMONUSER):bind $(NAMEDCONFDIR)/$$f; \
	done
	for f in $(CONDBINDFILES); do \
		chown root:bind $(CONFBINDDIR)/$$f; \
	done
endif
ifeq ($(OSNAME), Linux)
	- $(INSTALL) -m 644 etc/debian/sysctl.d/30-dms-core-net.conf \
		$(SYSCTLDIR)
endif

install-wsgi: install-dir
	$(INSTALL) -d $(CONFDIR)/wsgi-scripts/list_zone; \
	$(INSTALL) -d $(CONFDIR)/wsgi-scripts/dms; \
	for f in $(WSGISCRIPTS); do \
		$(INSTALL) -m 644 wsgi-scripts/dms/$$f \
			$(CONFDIR)/wsgi-scripts/dms; \
	done; \
	for f in $(LISTZONEWSGISCRIPTS); do \
		$(INSTALL) -m 644 wsgi-scripts/list_zone/$$f \
			$(CONFDIR)/wsgi-scripts/list_zone; \
	done;

clean-python:
	- rm -rf build

build-python:
	@$(PYTHON_INTERPRETER) setup.py build

install-python: build-python install-dir
	# Allow python directory to be symlinked for development and debug
	if [ ! -e $(SHAREDIR) -o ! -L $(SHAREDIR) ]; then \
		$(PYTHON_INTERPRETER) setup.py install --install-pure=$(SHAREDIR) --install-scripts=$(SHAREDIR) $(PYTHON_SETUP_OPTS) ; \
	fi

install-bin: install-python
	- for P in dyndns_tool dmsdmd zone_tool; do \
		$(INSTALL) -m 755 $${P} $(SHAREDIR) \
			&& perl -pe 's~^#!/\S+/python3.[0-9]$$~#!$(PYTHON_INTERPRETER)~' -i $(SHAREDIR)/$${P}; \
 	done;
	- $(INSTALL) -m 755 dns-createzonekeys $(SHAREDIR)
	- $(INSTALL) -m 755 dns-recreateds $(SHAREDIR)
	- for S in dms_start_as_replica dms_promote_replica dms_master_down; do \
		$(INSTALL) -m 755 dr_scripts/$${S} $(SHAREDIR)/dr_scripts; \
	done;
	- $(INSTALL) -m 755 dr_scripts/etckeeper_git_shell $(SHAREDIR)/dr_scripts \
	 	&& perl -pe 's~^#!/\S+/python3.[0-9]\s+.*$$~#!$(PYTHON_INTERPRETER)~' -i $(SHAREDIR)/dr_scripts/etckeeper_git_shell
	- $(INSTALL) -m 644 postgresql/dms-schema-pg94.sql $(SHAREDIR)/postgresql
	- $(INSTALL) -m 644 postgresql/dms-init-pg94.sql $(SHAREDIR)/postgresql
ifeq ($(OSNAME), Linux)
	- $(INSTALL) -m 755 postgresql/dms_createdb $(SHAREDIR)/postgresql \
		&& perl -pe 's~^DBLIBDIR=.*$$~DBLIBDIR=$(PREFIX)/share/dms/postgresql~' -i $(SHAREDIR)/postgresql/dms_createdb
	- $(INSTALL) -m 755 postgresql/pg_dumpallgz $(SHAREDIR)/postgresql \
	 	&& perl -pe 's~^#!/\S+/python3.[0-9]\s+.*$$~#!$(PYTHON_INTERPRETER)~' -i $(SHAREDIR)/postgresql/pg_dumpallgz
	- $(INSTALL) -m 644 postgresql/pg_hba.conf $(SHAREDIR)/postgresql
	- $(INSTALL) -m 644 postgresql/pg_ident.conf $(SHAREDIR)/postgresql
	- $(INSTALL) -m 644 postgresql/postgresql.conf $(SHAREDIR)/postgresql
	- $(INSTALL) -m 644 postgresql/30-dms-core-shm.conf $(SYSCTLDIR)
endif
	ln -snf $(SHAREDIR)/dmsdmd $(SBINDIR)
	ln -snf $(SHAREDIR)/dyndns_tool $(SBINDIR)
	ln -snf $(SHAREDIR)/dns-createzonekeys $(SBINDIR)
	ln -snf $(SHAREDIR)/dns-recreateds $(SBINDIR)
	ln -snf $(SHAREDIR)/zone_tool $(BINDIR)
	ln -snf $(SHAREDIR)/zone_tool~rnano $(BINDIR)
	ln -snf $(SHAREDIR)/zone_tool~rvim $(BINDIR)
	ln -snf $(SHAREDIR)/dr_scripts/etckeeper_git_shell $(SBINDIR)
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_basebackup
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_promote_replica
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_prepare_binddata
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_master_down
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_master_up
	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_update_wsgi_dns
ifeq ($(OSNAME), Linux)
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_createdb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_admindb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dropdb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_restoredb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dumpdb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_sqldb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_pg_basebackup
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_write_recovery_conf
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_replicadb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_promotedb
	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_move_xlog
	ln -snf $(SHAREDIR)/postgresql/pg_dumpallgz $(SBINDIR)/pg_dumpallgz
endif

clean: clean-python

=== debian/changelog ===
dms (1.0.2-1) unstable; urgency=medium

  * Update for postgresQL 9.4
  * Added dms_restoredb command, and dumpfile arguments to dms_createdb
    and dms_dumpdb.
  * Update version number
  * Put Debian NEWS files in correct place.
  * Update version number in NEWS file
  * Update dms-core.NEWS for with pg_upgradecluster.
  * Properly depend postgresql-9.4 (Closes: #756352)
  * Fix syntax typo
  * Put a sensible version number on dms-core.NEWS

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 02 Aug 2014 12:50:48 +1200

dms (1.0.1g-5) unstable; urgency=medium

  * Add required Uploaders line to debian/control

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 12 Jun 2014 20:14:31 +1200

dms (1.0.1g-4) unstable; urgency=medium

  * Remove python3-setproctitle from dependencies.

 -- Matthew Grant <matt@mattgrant.net.nz>  Tue, 10 Jun 2014 09:04:39 +1200

dms (1.0.1g-3) unstable; urgency=medium

  * Change package maintainer to Alioth DMS team.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sun, 04 May 2014 22:32:08 +1200

dms (1.0.1g-2) unstable; urgency=medium

  * Make python3-setproctitle a Suggests

 -- Matthew Grant <matt@mattgrant.net.nz>  Mon, 28 Apr 2014 08:52:13 +1200

dms (1.0.1g-1) unstable; urgency=medium

  * Packaging fixes, and moving dynamic data from /etc
  * Move rsync-config and master-config /var/lib/dms
  * Move rndc files into their proper Debian locations
  * Move named-dr-replica.conf to /etc/dms/bind
  * Move update-session.key to /etc/dms/bind
  * Create separate dms bind config. Easier master installs.
  * Install bind named.conf files for first install
  * Fix typo in dms_promote_replica
  * Clean up dynamic data directories on purge
  * Finalise Recommends/Suggests package split
  * Add mssing /etc/dms/bind config directory
  * Fix type for install /etc/dms/bind config files
  * Fix Makefile for /etc/dms/bind conf files
  * Fix which /etc/dms/bind go into dms-core/dms-dr
  * Fix permissions on /etc/dms/bind files
  * Fix permissions on named-dr-replica.conf
  * Update README.Debian - Strongswan, DR pair or solo
  * Updating README.Debian and control
  * Correct where TSIG keys are being installed to.
  * Set Debian changelog version number correctly
  * Update debain/README.Debian
  * Turn off DMSDRDNS and WSGI by default
  * Update version number to 1.0.1f
  * Update README.Debian, and dms-dr.postinst
  * Fix another directory typo
  * Update README.Debian
  * Fix restricted commands list for ordinary users.
  * Update version number to 1.0.1g
  * Updating README.Debian, and recommends.
  * Final updates to README.Debian from trial setup
  * Add advice on filtering Incoming IPSEC connections

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 18 Apr 2014 19:22:42 +1200

dms (1.0-3) unstable; urgency=medium

  * Make snmp-mibs-downloader a suggested package.

 -- Matthew Grant <matt@mattgrant.net.nz>  Sat, 22 Mar 2014 13:46:14 +1300

dms (1.0-2) unstable; urgency=medium

  * Change version number for git-buildpackage
  * Add necessary build-depends on python

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:49:19 +1300

dms (1.0-1) unstable; urgency=medium

  * Change version number for git-buildpackage
  * Update changelog for 1.0-1 release
  * Add necessary build-depends on python

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:48:17 +1300

dms (1.0~rc4-1) unstable; urgency=medium

  * Add debian packaging dir.
  * Add rudimentary README and INSTALL files
  * Update wrt dependency on py-magcode-core.
  * Add support for RFC 6698 TLSA records.
  * Fix and update booststrap shell script
  * Update to postgresql 9.3 initial
  * Really update for postgresql 9.3
  * Updates for running bind 9.9
  * Fix oping output with 2 DISABLED servers.
  * Update /debian to make package build
  * Update /debian files for python3-magcode-core
  * Add debian packaging dir.
  * Remove Net24 referenences from all these files.
  * Fix Debian version string
  * Fix email address and maintainer
  * Fix __pycache__ in debian install dirs
  * try to fix up build-dep
  * Another tweak to try and get python3 depends
  * Fix Python package version
  * Correct setup.py
  * Update setup.py correctly
  * Trye something else...
  * Update changelog for 1.0rc2-1~2.gbp9838d1 release
  * REally fix version and setup.py problems...
  * Update changelog for 1.0rc3-1~1.gbpc14a0d release
  * Another debian/rules tweak...
  * Fix dh_python3 private dir /usr/share/dms
  * Add another python3 dir to scan
  * Another go at dh_python3 private dirs
  * Remove undeeded dh_python3 call
  * Adjust dependencies and recommends.
  * Add 'bind9' to DNS Management System
  * Correct PGVER control and package scripts to 9.3
  * Fix DB version in postgres scripts and dr_scripts
  * Update Symlinks for dms_createdb and dr_scripts/dms_start_as_replica
  * Lose NET24/VOYAGER from PG DB init SQL
  * Fix rsyncd.conf now not allowing chgrp()
  * Fix race condition - rsyslog with module reload
  * Fix typo with restarting rsyslog function call
  * Correct error path exception in server_sm.py
  * Add fully updated README.Debian

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 14 Mar 2014 15:33:11 +1300

dms (0.111-1) unstable; urgency=low

  * ServerSM retry_msg - display reason for RETRY

 -- Matthew Grant <matthew.grant@net24.co.nz>  Wed, 07 Nov 2012 16:15:39 +1300

dms (0.110d-1) unstable; urgency=low

  * pg_dumpallgz - fix drop privilege can't chdir prob

 -- Matthew Grant <matthew.grant@net24.co.nz>  Wed, 07 Nov 2012 11:31:15 +1300

dms (0.110c-1) unstable; urgency=low

  * Fix a typo in master_sm zone_sm_reconfig_schedule

 -- Matthew Grant <matthew.grant@net24.co.nz>  Tue, 06 Nov 2012 15:41:33 +1300

dms (0.110b-1) unstable; urgency=low

  * Fix Master SM reading master_id from pyparameters
  * Fix ls_server and show_dms_status to default all.
  * Added oping ping testing to ls_server
  * Handle a disabled server in the ping testing.
  * More comprehensive str error handling round ping


=== debian/control ===
Source: dms
Section: admin
Priority: extra
Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
Uploaders: Matthew Grant <matt@mattgrant.net.nz>
Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
  python3-setuptools, python
Standards-Version: 3.9.5
X-Python3-Version: >= 3.2
Homepage: https://github.com/grantma/dms
Vcs-Git: https://github.com/grantma/dms.git
Vcs-Browser: https://github.com/grantma/dms

Package: dms-core
Architecture: any
Suggests: vim-nox|vim, nano
Recommends:
  less,
  colordiff,
  haveged,
  netscript-ipfilter|netscript-2.4|iptables-persistent,
  ntp,
  strongswan|racoon|ike-server,
  bind9-host,
  dnsutils
Depends: ${misc:Depends}, ${python3:Depends},
  python3-magcode-core,
  postgresql-9.4,
  python3-sqlalchemy (>= 0.7),
  python3-psycopg2 (>= 2.4.5),
  python3-psutil (>= 0.4.1),
  python3-pyparsing (>= 2.0.2),
  python3-dnspython (>= 1.10),
  rsync,
  bind9,
  adduser,
  diffutils|diff,
  oping
Description: bind9 DNS Management System, core system
 This is the bind9 DNS Management System, core backend.
 .
 Install this by itself if you are just after a single Master server, no DR.
 .
 This package include the dms python3 modules, zone_tool and dmsdmd.
 It creates the dms system users.
 .
 For setup, see README.Debian in /usr/share/doc/dms-core

Package: dms-wsgi
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
Description: bind9 DNS Management System, WSGI JSON http RPC backend. 
 This is the bind9 DNS Management system, WSGI JSON RPC layer.
 .
 This installs the WSGI layer needed to access the DMS backend via JSON
 RPC over http.  It is split from the core package to allow the DMS to be set
 up on a small scale, with command line only editing.
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core 

Package: dms-dr
Architecture: any
Depends: ${misc:Depends}, python3:any (>= 3.3.2-2~), python3:any (>= 3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
Suggests: netscript-2.4
Description: bind9 DNS Management System, DR scripts and setup.
 This is the bind9 DNS Management System, DR recovery scripts for running a 
 replica.
 .
 This package contains the management scripts required to set up a DR 
 replica of a DMS Master Server.  
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core. 

Package: dms
Architecture: any
Depends: ${misc:Depends}, dms-wsgi (= ${binary:Version}), dms-core (= ${binary:Version}), dms-dr (= ${binary:Version}), etckeeper, ssh, vim-nox|vim, nano, colordiff, snmpd, snmp, mail-transfer-agent | exim4
Suggests: quagga, netscript-ipfilter|netscript-2.4, snmp-mibs-downloader, pwgen
Description: bind9 DNS Management System, master server meta-package
 This is the bind9 DNS Management System, the master server meta-package.
 .
 This package installs all the components needed for a DMS master server/DR
 replica pair.
 .
 For setup, see the README.Debian in /usr/share/doc/dms-core.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=dms

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This variable is used to infomr DMS Makefile that it is being dpkg packaged!
# and stop it chowning chmodding
DMS_DEB_BUILD:=$(shell py3versions -vr)
export DMS_DEB_BUILD

PYTHON3:=$(shell py3versions -vr)

%:
	dh $@ --with python3

override_dh_python3:
	dh_python3 /usr/share/dms

override_dh_auto_install:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp install
	- find $(CURDIR)/debian/tmp -name __pycache__ | xargs rm -rf 

override_dh_install:
	dh_install

override_dh_installinit:
	dh_installinit --name dmsdmd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	find . -type f -name '*.pyc' | xargs rm -f 
	find . -type d -name '__pycache__' | xargs rm -rf

## dms 1.0.3

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,8 @@
 # This is rough! FIXME!
 
 OSNAME := $(shell uname -s)
+DOCDIR := doc
+DOCTARGETS := html
 ETCDIR := /etc
 DAEMONUSER := dmsdmd
 DAEMONGROUP := dmsdmd
@@ -98,17 +100,18 @@
 	PGGROUP=pgsql
 endif
 SHAREDIR = $(DESTDIR)$(PREFIX)/share/dms
+DOCUMENTATIONDIR = $(DESTDIR)$(PREFIX)/share/doc/dms-doc
 BINDIR = $(DESTDIR)$(PREFIX)/bin
 SBINDIR = $(DESTDIR)$(PREFIX)/sbin
 MANDIR = $(DESTDIR)$(PREFIX)/man
 INSTALL = /usr/bin/install
 
 .PHONY: install install-dir install-conf install-python install-bin \
-	install-wsgi clean clean-python build-python
+	install-wsgi clean clean-python build-python doc
 
 all: build-python
 
-install: install-conf install-bin install-wsgi
+install: install-conf install-bin install-wsgi install-doc
 
 install-dir:
 	- $(INSTALL) -d $(BINDIR)
@@ -286,5 +289,15 @@
 	ln -snf $(SHAREDIR)/postgresql/pg_dumpallgz $(SBINDIR)/pg_dumpallgz
 endif
 
+doc:
+	make -C $(DOCDIR) $(DOCTARGETS)
+
+install-doc: doc
+	- for D in $(DOCTARGETS); do \
+		install -d $(DOCUMENTATIONDIR)/$${D}; \
+		cp -R $(DOCDIR)/_build/$${D}/* $(DOCUMENTATIONDIR)/$${D}; \
+	done;
+
 clean: clean-python
-
+	make -C $(DOCDIR) clean
+

=== debian/changelog ===
dms (1.0.3-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:40:58 +0000

dms (1.0.3-2) unstable; urgency=medium

  * Create dms-doc package
  * Update bootstrap to work with Python 3.4
  * Move things into place for using Sphinx
  * Get all documentation and manual into Sphinx
  * Build and install HTML documentation
  * Better version of Makefile for doc installation
  * Update two refs with missing links
  * Include HTML documentation as v1.0.3
  * Create dms-doc package
  * Update Debian Control, Copyright for License ident
  * Update git-ignore for dms-doc package

 -- Matthew Grant <matt@mattgrant.net.nz>  Fri, 31 Oct 2014 20:47:34 +1300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
 Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
-  python3-setuptools, python
-Standards-Version: 3.9.5
+  python3-setuptools, python, python3-sphinx
+Standards-Version: 3.9.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/grantma/dms
 Vcs-Git: https://github.com/grantma/dms.git
@@ -82,3 +83,13 @@
  replica pair.
  .
  For setup, see the README.Debian in /usr/share/doc/dms-core. 
+
+Package: dms-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Description: bind9 DNS Management System, HTML documentation
+ This is the bind9 DNS Management System, documentation package.
+ .
+ This package contains the DMS manual as HTML. It is generated by sphinx.
+

## dms 1.0.8

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 CONFFILES = dms.conf rsync-dnsconf-password rsync-dnssec-password pgpassfile \
 	    dr-settings.sh
 CONFBINDFILES = named.conf named.conf.options named.conf.local named-dr-replica.conf
+CONFDMSDMDFILES = envvars prepare-environment post-start
 MASTERINCFILES = server-acl.conf zones.conf
 WSGISCRIPTS = admin_dms.wsgi helpdesk_dms.wsgi value_reseller_dms.wsgi \
 	      hosted_dms.wsgi
@@ -45,6 +46,7 @@
 	PREFIX=/usr/local
 	CONFDIR=$(DESTDIR)$(ETCDIR)/dms
 	CONFBINDDIR=$(DESTDIR)$(ETCDIR)/dms/bind
+	CONFDMSDMDDIR=$(DESTDIR)$(ETCDIR)/dms/dmsdmd
 	SYSCTLDIR=$(DESTDIR)$(ETCDIR)/sysctl.d
 	NAMEDDATADIR=$(DESTDIR)/var/lib/bind
 	NAMEDDYNAMICDIR=$(DESTDIR)/var/lib/bind/dynamic
@@ -62,6 +64,7 @@
 	LOGDIR=$(DESTDIR)/var/log/dms
 	RUNDIR=$(DESTDIR)/run/dms
 	BACKUPDIR=$(DESTDIR)/var/backups
+	SYSTEMDCONFDIR=$(DESTDIR)/lib/systemd/system
 	PYTHON_INTERPRETER ?= /usr/bin/python3
 	PYTHON_SETUP_OPTS = --install-layout=deb
 	PGUSER=postgres
@@ -70,6 +73,7 @@
 	PREFIX = /usr/local
 	CONFDIR = $(DESTDIR)$(PREFIX)$(ETCDIR)/dms
 	CONFBINDDIR=$(DESTDIR)$(PREFIX)$(ETCDIR)/dms/bind
+	CONFDMSDMDDIR=$(DESTDIR)$(PREFIX)$(ETCDIR)/dms/dmsdmd
 	NAMEDCONFDIR=$(DESTDIR)$(ETCDIR)/namedb/master-config
 	NAMEDSERVERCONFDIR=$(DESTDIR)$(ETCDIR)/namedb/rsync-config
 	RNDCCONFDIR=$(DESTDIR)$(ETCDIR)/nameddb
@@ -86,6 +90,7 @@
 	PREFIX = /usr/local
 	CONFDIR = $(DESTDIR)$(PREFIX)/dms$(ETCDIR)
 	CONFBINDDIR=$(DESTDIR)$(PREFIX)/dms$(ETCDIR)/bind
+	CONFDMSDMDDIR=$(DESTDIR)$(PREFIX)/dms$(ETCDIR)/dmsdmd
 	NAMEDCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/master-config
 	NAMEDSERVERCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/rsync-config
 	RNDCCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)
@@ -119,6 +124,7 @@
 	- $(INSTALL) -d $(MANDIR)
 	- $(INSTALL) -d $(CONFDIR)
 	- $(INSTALL) -d $(CONFBINDDIR)
+	- $(INSTALL) -d $(CONFDMSDMDDIR)
 	- $(INSTALL) -d $(NAMEDCONFDIR)
 	- $(INSTALL) -d $(NAMEDSERVERCONFDIR)
 	- $(INSTALL) -d $(NAMEDDYNAMICDIR)
@@ -135,6 +141,7 @@
 ifeq ($(OSNAME), Linux)
 	- $(INSTALL) -d $(SYSCTLDIR)
 	- $(INSTALL) -d $(BACKUPDIR)
+	- $(INSTALL) -d $(SYSTEMDCONFDIR)
 endif
 ifndef DMS_DEB_BUILD
 	chown root:bind $(CONFBINDDIR)
@@ -198,6 +205,11 @@
 	for f in $(CONFBINDFILES); do \
 		$(INSTALL) -m 644 etc/debian/bind/$${f} $(CONFBINDDIR); \
 	done
+	for f in $(CONFDMSDMDFILES); do \
+		$(INSTALL) -m 644 etc/dmsdmd/$${f} $(CONFDMSDMDDIR); \
+	done
+	chmod 755 $(CONFDMSDMDDIR)/prepare-environment
+	chmod 755 $(CONFDMSDMDDIR)/post-start
 ifndef DMS_DEB_BUILD
 	for f in $(MASTERINCFILES); do \
 		chown $(DAEMONUSER):bind $(NAMEDCONFDIR)/$$f; \
@@ -209,6 +221,8 @@
 ifeq ($(OSNAME), Linux)
 	- $(INSTALL) -m 644 etc/debian/sysctl.d/30-dms-core-net.conf \
 		$(SYSCTLDIR)
+	- $(INSTALL) -m 644 etc/systemd/system/dmsdmd.service $(SYSTEMDCONFDIR) \
+			&& perl -pe 's~^ExecStart=/\S+/dmsdmd\s+(.*)$$~ExecStart=$(PREFIX)/sbin/dmsdmd \1~' -i $(SYSTEMDCONFDIR)/dmsdmd.service;
 endif
 
 install-wsgi: install-dir
@@ -247,8 +261,8 @@
 	done;
 	- $(INSTALL) -m 755 dr_scripts/etckeeper_git_shell $(SHAREDIR)/dr_scripts \
 	 	&& perl -pe 's~^#!/\S+/python3.[0-9]\s+.*$$~#!$(PYTHON_INTERPRETER)~' -i $(SHAREDIR)/dr_scripts/etckeeper_git_shell
-	- $(INSTALL) -m 644 postgresql/dms-schema-pg94.sql $(SHAREDIR)/postgresql
-	- $(INSTALL) -m 644 postgresql/dms-init-pg94.sql $(SHAREDIR)/postgresql
+	- $(INSTALL) -m 644 postgresql/dms-schema-pg.sql $(SHAREDIR)/postgresql
+	- $(INSTALL) -m 644 postgresql/dms-init-pg.sql $(SHAREDIR)/postgresql
 ifeq ($(OSNAME), Linux)
 	- $(INSTALL) -m 755 postgresql/dms_createdb $(SHAREDIR)/postgresql \
 		&& perl -pe 's~^DBLIBDIR=.*$$~DBLIBDIR=$(PREFIX)/share/dms/postgresql~' -i $(SHAREDIR)/postgresql/dms_createdb
@@ -268,7 +282,6 @@
 	ln -snf $(SHAREDIR)/zone_tool~rvim $(BINDIR)
 	ln -snf $(SHAREDIR)/dr_scripts/etckeeper_git_shell $(SBINDIR)
 	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)
-	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_basebackup
 	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_promote_replica
 	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_prepare_binddata
 	ln -snf $(SHAREDIR)/dr_scripts/dms_start_as_replica $(SBINDIR)/dms_master_down
@@ -278,26 +291,16 @@
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_createdb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_admindb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dropdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_editconfigdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_rmconfigdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_reconfigdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_startdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_stopdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_statusdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_showconfigdb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_restoredb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dumpdb
+	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_upgradedb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_sqldb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_pg_basebackup
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_write_recovery_conf
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_replicadb
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_promotedb
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_move_xlog
-	ln -snf $(SHAREDIR)/postgresql/pg_dumpallgz $(SBINDIR)/pg_dumpallgz
-endif
-
-doc:
-	make -C $(DOCDIR) $(DOCTARGETS)
-
-install-doc: doc
-	- for D in $(DOCTARGETS); do \
-		install -d $(DOCUMENTATIONDIR)/$${D}; \
-		cp -R $(DOCDIR)/_build/$${D}/* $(DOCUMENTATIONDIR)/$${D}; \
-	done;
-
-clean: clean-python
-	make -C $(DOCDIR) clean
-

=== debian/changelog ===
dms (1.0.8-1) unstable; urgency=medium

  * Version 1.0.8 release.
  * systemd support for dmsdmd and in dms-dr management scripts.
  * PostgresQL upgrades using Debian postgresql-common management scripts
    instead of using own templated postgresql.conf file.  Includes ability
    to upgrade from debian pkg scripts. postgresql.conf parameters set from
    /etc/dms/dr-settings.sh (Closes: #811162, #794929)
  * New dms_ PostgresQL cluster management commands
  * Fixes and support for Python 3.5, SQLAlchemy 1.0.x, 1.1, and 1.2
  * Support for ifupdown interfaces in DR management commands and scripts.
  * Suggests locales-all and note in dms-core.NEWS locales-all to
    prevent upgrade failures. Together with move to Debian postgresql-common
    postgresql.conf generation above hardwired locales are a thing of the
    past. (Closes: #852519)
  * Clean up /var/lib/dms/postgresql/*.sha1sum files on dms-core purge.
    (Closes: #771093)
 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 08 Jun 2017 21:59:37 +1200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
-Build-Depends: debhelper (>= 8.0.0), python3-all, dh-python,
+Build-Depends: debhelper (>= 10.0.0), python3-all, dh-python,
   python3-setuptools, python, python3-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/grantma/dms
 Vcs-Git: https://github.com/grantma/dms.git
@@ -14,7 +13,8 @@
 
 Package: dms-core
 Architecture: any
-Suggests: vim-nox|vim, nano
+Suggests: vim-nox|vim, nano,
+  locales-all
 Recommends:
   less,
   colordiff,
@@ -24,9 +24,11 @@
   strongswan|racoon|ike-server,
   bind9-host,
   dnsutils
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends:
+  ${misc:Depends},
+  python3:any (>= 3.3.2~),    
   python3-magcode-core,
-  postgresql-9.4,
+  postgresql (>= 9.3)|postgresql-9.3|postgresql-9.4|postgresql-9.5|postgresql-9.6,
   python3-sqlalchemy (>= 0.7),
   python3-psycopg2 (>= 2.4.5),
   python3-psutil (>= 0.4.1),
@@ -36,7 +38,8 @@
   bind9,
   adduser,
   diffutils|diff,
-  oping
+  oping,
+  lsb-base (>= 3.2-14)
 Description: bind9 DNS Management System, core system
  This is the bind9 DNS Management System, core backend.
  .
@@ -49,7 +52,7 @@
 
 Package: dms-wsgi
 Architecture: any
-Depends: ${misc:Depends}, ${python3:Depends}, dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
+Depends: ${misc:Depends}, python3:any (>= 3.3.2~), dms-core (= ${binary:Version}), apache2, libapache2-mod-wsgi-py3
 Description: bind9 DNS Management System, WSGI JSON http RPC backend. 
  This is the bind9 DNS Management system, WSGI JSON RPC layer.
  .
@@ -61,7 +64,7 @@
 
 Package: dms-dr
 Architecture: any
-Depends: ${misc:Depends}, python3:any (>= 3.3.2-2~), python3:any (>= 3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
+Depends: ${misc:Depends}, python3:any (>= 3.3.2~), dms-core (= ${binary:Version}), adduser, rsyslog-pgsql
 Suggests: netscript-2.4
 Description: bind9 DNS Management System, DR scripts and setup.
  This is the bind9 DNS Management System, DR recovery scripts for running a

=== debian/rules ===
--- 
+++ 
@@ -47,3 +47,11 @@
 	rm -rf *.egg-info
 	find . -type f -name '*.pyc' | xargs rm -f 
 	find . -type d -name '__pycache__' | xargs rm -rf 
+
+override_dh_sphinxdoc:
+	        dh_sphinxdoc -X searchtools.js -X translations.js
+		        dh_sphinxdoc /usr/share/doc/dms-doc/html/
+
+%:
+	        dh $@ --with sphinxdoc
+

## dms 1.0.8.1

=== Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	NAMEDDATADIR=$(DESTDIR)/var/lib/bind
 	NAMEDDYNAMICDIR=$(DESTDIR)/var/lib/bind/dynamic
 	NAMEDKEYDIR=$(DESTDIR)/var/lib/bind/keys
+	NAMEDDSDIR=$(DESTDIR)/var/lib/bind/ds
 	NAMEDSLAVEDIR=$(DESTDIR)/var/cache/bind/slave
 	NAMEDSLAVELNDATA=../../cache/bind/slave
 	NAMEDSLAVELN=$(DESTDIR)/var/lib/bind/slave
@@ -79,6 +80,7 @@
 	RNDCCONFDIR=$(DESTDIR)$(ETCDIR)/nameddb
 	NAMEDDYNAMICDIR=$(DESTDIR)$(ETCDIR)/namedb/dynamic
 	NAMEDKEYDIR=$(DESTDIR)$(ETCDIR)/namedb/keys
+	NAMEDDSDIR=$(DESTDIR)$(ETCDIR)/namedb/ds
 	VARCONFDIR = $(DESTDIR)/var/lib/dms
 	LOGDIR = $(DESTDIR)/var/log/dms
 	RUNDIR = $(DESTDIR)/var/run/dms
@@ -96,6 +98,7 @@
 	RNDCCONFDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)
 	NAMEDDYNAMICDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/dynamic
 	NAMEDKEYDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/keys
+	NAMEDDSDIR=$(DESTDIR)$(PREFIX)/namedb$(ETCDIR)/ds
 	VARCONFDIR = $(DESTDIR)$(PREFIX)/dms/var
 	LOGDIR = $(DESTDIR)$(PREFIX)/dms/log
 	RUNDIR = $(DESTDIR)$(PREFIX)/dms/var
@@ -129,6 +132,7 @@
 	- $(INSTALL) -d $(NAMEDSERVERCONFDIR)
 	- $(INSTALL) -d $(NAMEDDYNAMICDIR)
 	- $(INSTALL) -d $(NAMEDKEYDIR)
+	- $(INSTALL) -d $(NAMEDDSDIR)
 	- $(INSTALL) -d $(RNDCCONFDIR)
 	- $(INSTALL) -d $(VARCONFDIR)/dms-sg
 	- $(INSTALL) -d $(LOGDIR)
@@ -302,5 +306,3 @@
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_dumpdb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_upgradedb
 	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_sqldb
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_pg_basebackup
-	ln -snf $(SHAREDIR)/postgresql/dms_createdb $(SBINDIR)/dms_write_recovery_conf

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DNSManagementSystem.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DNSManagementSystem.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DNSManagementSystem"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DNSManagementSystem"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
dms (1.0.8.1-1ubuntu1) bionic; urgency=medium

  * debian/rules: fix binary-arch build.  Closes: #887635.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 15:55:13 -0700

dms (1.0.8.1-1) unstable; urgency=medium

  * Add creation of /var/lib/bind/ds directory for DS
  * Fix removing /var/lib/bind on purge. (Closes: #883795)

 -- Matthew Grant <matt@mattgrant.net.nz>  Thu, 18 Jan 2018 20:14:22 +1300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dms
 Section: admin
 Priority: extra
-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DMS Maintainers <dms-maintainers@lists.alioth.debian.org>
 Uploaders: Matthew Grant <matt@mattgrant.net.nz>
 Build-Depends: debhelper (>= 10.0.0), python3-all, dh-python,
   python3-setuptools, python, python3-sphinx

=== debian/rules ===
--- 
+++ 
@@ -49,8 +49,10 @@
 	find . -type d -name '__pycache__' | xargs rm -rf 
 
 override_dh_sphinxdoc:
-	        dh_sphinxdoc -X searchtools.js -X translations.js
-		        dh_sphinxdoc /usr/share/doc/dms-doc/html/
+ifneq (,$(filter $(shell dh_listpackages),dms-doc))
+	dh_sphinxdoc -X searchtools.js -X translations.js
+	dh_sphinxdoc /usr/share/doc/dms-doc/html/
+endif
 
 %:
 	        dh $@ --with sphinxdoc

## dms tools2-2.6.7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXAPIDOC  = sphinx-apidoc
PYTHONAPISRC  = ../dms_tools2
SPHINXBUILD   = python3 -msphinx
SPHINXPROJ    = dms_tools2
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	$(SPHINXAPIDOC) -E -T -M -e -f -o . $(PYTHONAPISRC)
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
